/Users/bernard/b20/bsoft/include/ps_ctf_plot.h(3)

NAME
/Users/bernard/b20/bsoft/include/ps_ctf_plot.h - Header file for postscript output functions.

SYNOPSIS

#include 'ctf.h'

  Functions
int ps_show_ctf_param (Bplot *plot, CTFparam &em_ctf)
int ps_ctf_plot (Bstring &filename, CTFparam &em_ctf, size_t n, double freq_step)
Generates a postscript plot from CTF parameters for defocus and the envelope.
int ps_ctf_plot (long n, double *rps, double interval, CTFparam *em_ctf, Bstring &filename)
Generates a postscript plot of a contrast transfer function.
int ps_ctf_defocus_zeroes (Bstring &filename, double volts, double Cs, double amp_shift)
Generates a postscript plot of defocus versus zeroes.
int ps_point_spread (Bstring &filename, CTFparam &em_ctf, size_t n, double freq_step)
Generates a point spread plot from CTF envelope parameters.

Detailed Description

Header file for postscript output functions.

Author:
    Bernard Heymann

Date:
    Created: 20010515

    Modified: 20160229

Definition in file ps_ctf_plot.h.

Function Documentation

  int ps_ctf_defocus_zeroes (Bstring & filename, double volts, double Cs, double amp_shift)

Generates a postscript plot of defocus versus zeroes.

Parameters:
    &filename postscript output file name.
    volts accelerating voltage (in volts).
    Cs spherical aberration (in angstrom).
    amp_shift amplitude contribution phase shift (radians).

Returns:
    int 0.

    A postscript plot is generated from microscope and defocus parameters
    to show the corresponding defocus and zero values.
    Defocus is given in um.

Definition at line 233 of file ps_ctf_plot.cpp.

  int ps_ctf_plot (Bstring & filename, CTFparam & em_ctf, size_t n, double freq_step)

Generates a postscript plot from CTF parameters for defocus and the envelope.

Parameters:
    &filename postscript file name.
    &em_ctf CTF parameter structure.
    n number of reciprocal space steps.
    freq_step spatial frequency increment per step.

Returns:
    int 0.

    Postscript output is generated from microscope and defocus
    parameters.

Definition at line 71 of file ps_ctf_plot.cpp.

  int ps_ctf_plot (long n, double * rps, double interval, CTFparam * em_ctf, Bstring & filename)

Generates a postscript plot of a contrast transfer function.

Parameters:
    n number of elements in the radial power spectrum.
    *rps radial power spectrum.
    interval spatial frequency step size.
    *em_ctf CTF parameter structure.
    &filename postscript file name.

Returns:
    int 0.

    Postscript output is generated from fitted defocus, envelope and background
    parameters and compared to the radial average of the power spectrum image.

Definition at line 150 of file ps_ctf_plot.cpp.

  int ps_point_spread (Bstring & filename, CTFparam & em_ctf, size_t n, double freq_step)

Generates a point spread plot from CTF envelope parameters.

Parameters:
    &filename postscript file name.
    &em_ctf CTF parameter structure.
    n number of reciprocal space steps.
    freq_step spatial frequency increment per step.

Returns:
    int 0.

    Postscript output is generated from microscope and defocus
    parameters.

Definition at line 337 of file ps_ctf_plot.cpp.

  int ps_show_ctf_param (Bplot * plot, CTFparam & em_ctf)

Definition at line 17 of file ps_ctf_plot.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.